<div id="trs-container">
    <div class="trs-title">Table Rates</div>
    <table id="trs-table" class="wp-list-table widefat striped">
        <thead>
        <tr class="columns-info">
            <th class="manage-column column-cb check-column"></th>
            <th colspan="5" scope="col" class="manage-column column-limits">
                <span class="column-name">Limits</span>
            </th>
            <th colspan="4" scope="col" class="manage-column column-nothing"></th>
        </tr>
        <tr class="columns-filters">
            <td class="manage-column column-cb check-column"></td>
            <td class="manage-column column-class">
                <select multiple/>
            </td>
            <td class="manage-column column-weight">
                <input type="text">
            </td>
            <td class="manage-column column-price">
                <input type="text">
            </td>
            <td class="manage-column column-quantity">
                <input type="text">
            </td>
            <td class="manage-column column-volume">
                <input type="text">
            </td>
            <td class="manage-column column-cost">
                <input type="text">
            </td>
            <td class="manage-column column-comment">
                <input type="text">
            </td>
            <td class="manage-column column-status">
                <select>
                    <option value=""></option>
                    <option value="1">Active</option>
                    <option value="0">Inactive</option>
                </select>
            </td>
            <th class="manage-column column-filters">
                <span class="column-name">Filters</span>
            </th>
        </tr>
        <tr>
            <th class="manage-column column-cb check-column">
                <label class="screen-reader-text" for="cb-select-all-1">Select All</label>
                <input id="cb-select-all-1" type="checkbox">
            </th>
            <th class="manage-column column-class">
                <span class="column-name">Shipping Class</span>
            </th>
            <th class="manage-column column-weight">
                <span class="column-name">Weight</span>
            </th>
            <th class="manage-column column-price">
                <span class="column-name">Price</span>
            </th>
            <th class="manage-column column-quantity">
                <span class="column-name">Quantity</span>
            </th>
            <th class="manage-column column-volume">
                <span class="column-name">Volume</span>
            </th>
            <th class="manage-column column-cost">
                <span class="column-name">Cost</span>
            </th>
            <th class="manage-column column-comment">
                <span class="column-name">Comment</span>
            </th>
            <th class="manage-column column-status">
                <span class="column-name">Status</span>
            </th>
            <th class="manage-column column-actions">
                <span class="column-name">Actions</span>
            </th>
        </tr>
        </thead>
    </table>
    <script type="text/javascript">
        jQuery(function ($) {
            $('#trs-container').tableRateShipping({
                page_view: '<?= ((\TableRateShipping\libraries\TRS_Helper::get('instance_id', -1) === -1) ? 'zone' : 'method') ?>',
                shipping_classes: <?= json_encode(\TableRateShipping\libraries\TRS_Helper::get_shipping_classes()) ?>
            });
        });
    </script>
    <?php include dirname(__FILE__) . '/help.php' ?>
</div>